<?php

/**
 * @file
 * Admin page callbacks for the role_control module.
 */

/**
 * Role Control Admin settings
 */
function role_control_admin_settings() {
	
	$form['role_control_controlled_role'] = array(
		'#type' => 'select',
		'#title' => t('Controlled Role'),
		'#default_value' => variable_get('role_control_controlled_role', array()),
		'#options' => user_roles(true),
		'#description' => t('The role granted when a user selects the checkbox on their user edit page.  Grant this ability by granting a role "maintain own role control" permissions on the Access Control page.'),
		);
	
	$form['role_control_user_grouping'] = array(
		'#type' => 'textfield',
		'#title' => t('Grouping Title'),
		'#default_value' => variable_get('role_control_user_grouping', 'Premium Content Settings'),
		'#description' => t('Determines the title shown on the group of settings shown on the user edit page.'),
		'#size' => 20,
		);

	$form['role_control_user_caption'] = array(
		'#type' => 'textfield',
		'#title' => t('Checkbox Title'),
		'#default_value' => variable_get('role_control_user_caption', 'Enable access to premium content'),
		'#description' => t('Text displayed next to checkbox on the user edit page that indicates what joining the above role will provide the user.'),
		'#size' => 20,
		);

	$form['role_control_user_description'] = array(
		'#type' => 'textfield',
		'#title' => t('Description'),
		'#default_value' => variable_get('role_control_user_description', 'Check this box to show premium content.'),
		'#description' => t('Description displayed below the checkbox on the user edit page. It should indicate what joining the above role will provide the user.'),
		'#size' => 60,
		);
	$form['role_control_registration'] = array(
		'#type' => 'checkbox',
		'#title' => t('Enable on registration page'),
		'#default_value' => variable_get('role_control_registration', 0),
		'#description' => t('If you want people to be able to join this role at registration check this box.  Please note that if your default role does not have the "maintain own role control" permission users won\'t be able to un-enroll themselves.'),
	);
	$form['array_filter'] = array('#type' => 'hidden');
	return system_settings_form($form);
}

